commit:     8df0b918c9b31d2c01e045d72d3bd63486d71fd9
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  8 23:30:28 2023 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Sep  8 23:31:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8df0b918

net-wireless/unifi: fix install

Closes: https://bugs.gentoo.org/913875
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-wireless/unifi/unifi-7.5.174.ebuild | 12 ++----------
 1 file changed, 2 insertions(+), 10 deletions(-)

diff --git a/net-wireless/unifi/unifi-7.5.174.ebuild 
b/net-wireless/unifi/unifi-7.5.174.ebuild
index 2551b72faa0e..da37d1d5280e 100644
--- a/net-wireless/unifi/unifi-7.5.174.ebuild
+++ b/net-wireless/unifi/unifi-7.5.174.ebuild
@@ -35,13 +35,10 @@ QA_PREBUILT="usr/lib/unifi/lib/native/Linux/x86_64/*.so"
 
 src_prepare() {
        if [[ ${CHOST} != aarch64* ]]; then
-               rm -r lib/native/Linux/aarch64 || die "Failed in removing 
aarch64 native libraries"
-       fi
-       if [[ ${CHOST} != armv7* ]]; then
-               rm -r lib/native/Linux/armv7 || die "Failed in removing armv7 
native libraries"
+               rm -r lib/native/Linux/aarch64 || die
        fi
        if [[ ${CHOST} != x86_64* ]]; then
-               rm -r lib/native/Linux/x86_64 || die "Failed in removing x86_64 
native libraries"
+               rm -r lib/native/Linux/x86_64 || die
        fi
 
        if [[ ${CHOST} == aarch64* ]]; then
@@ -49,11 +46,6 @@ src_prepare() {
                        rm lib/native/Linux/aarch64/libubnt_sdnotify_jni.so || 
die
                fi
        fi
-       if [[ ${CHOST} == armv7* ]]; then
-               if ! use systemd; then
-                       rm lib/native/Linux/armv7/libubnt_sdnotify_jni.so || die
-               fi
-       fi
        if [[ ${CHOST} == x86_64* ]]; then
                if ! use systemd; then
                        rm lib/native/Linux/x86_64/libubnt_sdnotify_jni.so || 
die

Reply via email to